NotificationsApi
All URIs are relative to https://sailpoint.api.identitynow.com
| Method | HTTP request | Description |
|---|---|---|
| create-domain-dkim-v1 | POST /verified-domains/v1 | Verify domain address via dkim |
| create-notification-template-v1 | POST /notification-templates/v1 | Create notification template |
| create-verified-from-address-v1 | POST /verified-from-addresses/v1 | Create verified from address |
| delete-notification-templates-in-bulk-v1 | POST /notification-templates/v1/bulk-delete | Bulk delete notification templates |
| delete-verified-from-address-v1 | DELETE /verified-from-addresses/v1/{id} | Delete verified from address |
| get-dkim-attributes-v1 | GET /verified-domains/v1 | Get dkim attributes |
| get-mail-from-attributes-v1 | GET /mail-from-attributes/v1/{identity} | Get mail from attributes |
| get-notification-preferences-v1 | GET /notification-preferences/v1/{key} | List notification preferences for tenant. |
| get-notification-template-v1 | GET /notification-templates/v1/{id} | Get notification template by id |
| get-notification-template-variables-v1 | GET /notification-template-variables/v1/{key}/{medium} | Get notification template variables |
| get-notifications-template-context-v1 | GET /notification-template-context/v1 | Get notification template context |
| list-from-addresses-v1 | GET /verified-from-addresses/v1 | List from addresses |
| list-notification-template-defaults-v1 | GET /notification-template-defaults/v1 | List notification template defaults |
| list-notification-templates-v1 | GET /notification-templates/v1 | List notification templates |
| put-mail-from-attributes-v1 | PUT /mail-from-attributes/v1 | Change mail from domain |
| send-test-notification-v1 | POST /send-test-notification/v1 | Send test notification |
create-domain-dkim-v1
Verify domain address via dkim Create a domain to be verified via DKIM (DomainKeys Identified Mail)
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| domainaddress | Domainaddress |
Return type
Domainstatusdto
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Domainaddress } from 'sailpoint-api-client/dist/notifications/api';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const domainaddress: Domainaddress = ; //
const result = await apiInstance.createDomainDkimV1({ domainaddress: domainaddress });
console.log(result);
create-notification-template-v1
Create notification template
This will update notification templates that are available in your tenant.
Note that you cannot create new templates in your tenant, but you can use this to create custom notifications from existing templates. First, copy the response body from the get notification template endpoint for a template you wish to update and paste it into the request body for this endpoint.
Modify the fields you want to change and submit the POST request when ready.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| templatedto | Templatedto |
Return type
Templatedto
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Templatedto } from 'sailpoint-api-client/dist/notifications/api';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const templatedto: Templatedto = ; //
const result = await apiInstance.createNotificationTemplateV1({ templatedto: templatedto });
console.log(result);
create-verified-from-address-v1
Create verified from address Create a new sender email address and initiate verification process.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| emailstatusdto | Emailstatusdto |
Return type
Emailstatusdto
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Emailstatusdto } from 'sailpoint-api-client/dist/notifications/api';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const emailstatusdto: Emailstatusdto = {"email":"sender@example.com"}; //
const result = await apiInstance.createVerifiedFromAddressV1({ emailstatusdto: emailstatusdto });
console.log(result);
delete-notification-templates-in-bulk-v1
Bulk delete notification templates This lets you bulk delete templates that you previously created for your site.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| templatebulkdeletedto | Array<Templatebulkdeletedto> |
Return type
(empty response body)
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Templatebulkdeletedto } from 'sailpoint-api-client/dist/notifications/api';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const templatebulkdeletedto: Array<Templatebulkdeletedto> = ; //
const result = await apiInstance.deleteNotificationTemplatesInBulkV1({ templatebulkdeletedto: templatebulkdeletedto });
console.log(result);
delete-verified-from-address-v1
Delete verified from address Delete a verified sender email address
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | string | Unique identifier of the verified sender address to delete. | [default to undefined] |
Return type
(empty response body)
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const id: string = c17bea3a-574d-453c-9e04-4365fbf5af0b; // Unique identifier of the verified sender address to delete.
const result = await apiInstance.deleteVerifiedFromAddressV1({ id: id });
console.log(result);
get-dkim-attributes-v1
Get dkim attributes Retrieve DKIM (DomainKeys Identified Mail) attributes for all your tenants' AWS SES identities. Limits retrieval to 100 identities per call.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| offset | number | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. | [optional] [default to 0] |
Return type
Array<Dkimattributes>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const offset: number = 0; // Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const result = await apiInstance.getDkimAttributesV1({ });
console.log(result);
get-mail-from-attributes-v1
Get mail from attributes Retrieve MAIL FROM attributes for a given AWS SES identity.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| identity | string | Returns the MX and TXT record to be put in your DNS, as well as the MAIL FROM domain status | [default to undefined] |
Return type
Mailfromattributes
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const identity: string = bobsmith@sailpoint.com; // Returns the MX and TXT record to be put in your DNS, as well as the MAIL FROM domain status
const result = await apiInstance.getMailFromAttributesV1({ identity: identity });
console.log(result);
get-notification-preferences-v1
List notification preferences for tenant. Returns a list of notification preferences for tenant.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| key | string | The key. | [default to undefined] |
Return type
Preferencesdto
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const key: string = key_example; // The key.
const result = await apiInstance.getNotificationPreferencesV1({ key: key });
console.log(result);
get-notification-template-v1
Get notification template by id This gets a template that you have modified for your site by Id.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| id | string | Id of the Notification Template | [default to undefined] |
Return type
Templatedto
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const id: string = c17bea3a-574d-453c-9e04-4365fbf5af0b; // Id of the Notification Template
const result = await apiInstance.getNotificationTemplateV1({ id: id });
console.log(result);
get-notification-template-variables-v1
Get notification template variables Returns global variables and template-specific variables for a given notification template key and medium. Use these variable names in template content; they are replaced at send time with the corresponding values. Variable lists can be sorted by key, type, or description via the sorters query parameter (default ascending by key).
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| key | string | The notification template key. Valid keys (and key/medium pairs) are available from the list notification templates operation. | [default to undefined] |
| medium | `'EMAIL' | 'SLACK' | 'TEAMS'` |
| sorters | string | Sort results using the standard syntax described in V3 API Standard Collection Parameters Sorting is supported for the following fields: key, type, description | [optional] [default to undefined] |
Return type
Templatevariablesdto
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const key: string = approval_request_notification; // The notification template key. Valid keys (and key/medium pairs) are available from the list notification templates operation.
const medium: string = EMAIL; // The notification template medium (e.g. EMAIL, SLACK, TEAMS). Valid key/medium pairs are available from the list notification templates operation.
const sorters: string = -description; // Sort results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#sorting-results) Sorting is supported for the following fields: **key, type, description** (optional)
const result = await apiInstance.getNotificationTemplateVariablesV1({ key: key, medium: medium });
console.log(result);
get-notifications-template-context-v1
Get notification template context The notification service maintains metadata to construct the notification templates or supply any information during the event propagation. The data-store where this information is retrieved is called "Global Context" (a.k.a. notification template context). It defines a set of attributes that will be available per tenant (organization).
Parameters
This endpoint does not need any parameter.
Return type
Notificationtemplatecontext
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const result = await apiInstance.getNotificationsTemplateContextV1({ });
console.log(result);
list-from-addresses-v1
List from addresses Retrieve a list of sender email addresses and their verification statuses
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| offset | number | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. | [optional] [default to 0] |
| count | boolean | If true it will populate the X-Total-Count response header with the number of results that would be returned if limit and offset were ignored. Since requesting a total count can have a performance impact, it is recommended not to send count=true if that value will not be used. See V3 API Standard Collection Parameters for more information. | [optional] [default to false] |
| filters | string | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: email: eq, ge, le, gt, lt | [optional] [default to undefined] |
| sorters | string | Sort results using the standard syntax described in V3 API Standard Collection Parameters Sorting is supported for the following fields: email | [optional] [default to undefined] |
Return type
Array<Emailstatusdto>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const offset: number = 0; // Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const count: boolean = true; // If *true* it will populate the *X-Total-Count* response header with the number of results that would be returned if *limit* and *offset* were ignored. Since requesting a total count can have a performance impact, it is recommended not to send **count=true** if that value will not be used. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const filters: string = email eq "john.doe@company.com"; // Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **email**: *eq, ge, le, gt, lt* (optional)
const sorters: string = email; // Sort results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#sorting-results) Sorting is supported for the following fields: **email** (optional)
const result = await apiInstance.listFromAddressesV1({ });
console.log(result);
list-notification-template-defaults-v1
List notification template defaults This lists the default templates used for notifications, such as emails from IdentityNow.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| offset | number | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. | [optional] [default to 0] |
| filters | string | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: key: eq, in, sw medium: eq, sw locale: eq, sw | [optional] [default to undefined] |
Return type
Array<Templatedtodefault>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const offset: number = 0; // Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const filters: string = key eq "cloud_manual_work_item_summary"; // Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **key**: *eq, in, sw* **medium**: *eq, sw* **locale**: *eq, sw* (optional)
const result = await apiInstance.listNotificationTemplateDefaultsV1({ });
console.log(result);
list-notification-templates-v1
List notification templates This lists the templates that you have modified for your site.
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| limit | number | Max number of results to return. See V3 API Standard Collection Parameters for more information. | [optional] [default to 250] |
| offset | number | Offset into the full result set. Usually specified with limit to paginate through the results. See V3 API Standard Collection Parameters for more information. | [optional] [default to 0] |
| filters | string | Filter results using the standard syntax described in V3 API Standard Collection Parameters Filtering is supported for the following fields and operators: key: eq, in, sw medium: eq, sw locale: eq, sw | [optional] [default to undefined] |
| sorters | string | Sort results using the standard syntax described in V3 API Standard Collection Parameters Sorting is supported for the following fields: key, name, medium | [optional] [default to undefined] |
Return type
Array<Templatedto>
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const limit: number = 250; // Max number of results to return. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const offset: number = 0; // Offset into the full result set. Usually specified with *limit* to paginate through the results. See [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters) for more information. (optional)
const filters: string = medium eq "EMAIL"; // Filter results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#filtering-results) Filtering is supported for the following fields and operators: **key**: *eq, in, sw* **medium**: *eq, sw* **locale**: *eq, sw* (optional)
const sorters: string = key, -name; // Sort results using the standard syntax described in [V3 API Standard Collection Parameters](https://developer.sailpoint.com/idn/api/standard-collection-parameters#sorting-results) Sorting is supported for the following fields: **key, name, medium** (optional)
const result = await apiInstance.listNotificationTemplatesV1({ });
console.log(result);
put-mail-from-attributes-v1
Change mail from domain Change the MAIL FROM domain of an AWS SES email identity and provide the MX and TXT records to be placed in the caller's DNS
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| mailfromattributesdto | Mailfromattributesdto |
Return type
Mailfromattributes
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Mailfromattributesdto } from 'sailpoint-api-client/dist/notifications/api';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const mailfromattributesdto: Mailfromattributesdto = {"identity":"BobSmith@sailpoint.com","mailFromDomain":"example.sailpoint.com"}; //
const result = await apiInstance.putMailFromAttributesV1({ mailfromattributesdto: mailfromattributesdto });
console.log(result);
send-test-notification-v1
Send test notification Send a Test Notification
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| sendtestnotificationrequestdto | Sendtestnotificationrequestdto |
Return type
(empty response body)
HTTP request headers
- Content-Type: application/json
- Accept: application/json
Example
import { NotificationsApi } from 'sailpoint-api-client';
import { Configuration } from 'sailpoint-api-client';
import { Sendtestnotificationrequestdto } from 'sailpoint-api-client/dist/notifications/api';
const configuration = new Configuration();
const apiInstance = new NotificationsApi(configuration);
const sendtestnotificationrequestdto: Sendtestnotificationrequestdto = {"key":"cloud_manual_work_item_summary","medium":"EMAIL","context":{"numberOfPendingTasks":"4","ownerId":"201327fda1c44704ac01181e963d463c"}}; //
const result = await apiInstance.sendTestNotificationV1({ sendtestnotificationrequestdto: sendtestnotificationrequestdto });
console.log(result);